Topics

rest-client 2.0.1

Andy Brody
 

Hi folks,

Today the rest-client 2.0.1 release is available with a few minor changes.

https://rubygems.org/gems/rest-client/versions/2.0.1
https://github.com/rest-client/rest-client/releases/tag/v2.0.1

This release fixes compatibility with OpenSSL 1.1.0 by dropping the
old check for weak default TLS ciphers, and using the built-in Ruby
defaults. Ruby versions from Oct. 2014 onward use sane defaults, so
this is no longer needed. (#573)

Users will also now see warnings if auto-generated headers from the
payload, such as Content-Type, override headers set by the user. This
is usually not what the user wants to happen, and can be surprising.
(#554)

The full changelog is available here:
https://github.com/rest-client/rest-client/blob/v2.0.1/history.md

As usual, please file any bugs at
https://github.com/rest-client/rest-client/issues

Cheers,
Andy